KDE 4.7 PyKDE API Reference

- KDE's Python API

# TileCreator Class Reference

`from PyKDE4.marble import *`

Inherits: QThread → QObject
Namespace: Marble

## Detailed Description

Base Class for custom tile source

Implement this class to have more control over the tile creating process. This is needed when creating with a high tileLevel where the whole source image can't be loaded at once.

## Signals

| progress (int value)

## Methods

| __init__ (self, QString sourceDir, QString installMap, QString dem, QString targetDir=QString())
| __init__ (self, Marble.TileCreatorSource source, QString dem, QString targetDir)
| cancelTileCreation (self)
bool | resume (self)
| run (self)
| setResume (self, bool resume)
| setTileFormat (self, QString format)
| setTileQuality (self, int quality)
| setVerifyExactResult (self, bool verify)
QString | tileFormat (self)
int | tileQuality (self)
bool | verifyExactResult (self)

## Signal Documentation

progress | ( | int | value
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("progress(int)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QString | sourceDir,
|  | QString | installMap,
|  | QString | dem,
|  | QString | targetDir=QString()
| ) |  |  |

Constructor for standard Image source

__init__ | ( | self, |
|  | Marble.TileCreatorSource | source,
|  | QString | dem,
|  | QString | targetDir
| ) |  |  |

Constructor for own, custom source class

Ownership of source is taken by TileCreator

cancelTileCreation | ( |  | self ) |

bool resume | ( |  | self ) |

run | ( |  | self ) |

setResume | ( | self, |
|  | bool | resume
| ) |  |  |

setTileFormat | ( | self, |
|  | QString | format
| ) |  |  |

setTileQuality | ( | self, |
|  | int | quality
| ) |  |  |

setVerifyExactResult | ( | self, |
|  | bool | verify
| ) |  |  |

QString tileFormat | ( |  | self ) |

int tileQuality | ( |  | self ) |

bool verifyExactResult | ( |  | self ) |